{
  "name": "vercel",
  "version": "21.3.4-canary.12",
  "preferGlobal": true,
  "license": "Apache-2.0",
  "description": "The command-line interface for Vercel",
  "homepage": "https://vercel.com",
  "repository": {
    "type": "git",
    "url": "https://github.com/vercel/vercel.git",
    "directory": "packages/cli"
  },
  "scripts": {
    "preinstall": "node ./scripts/preinstall.js",
    "test-unit": "nyc ava test/unit.js test/dev-builder.unit.js test/dev-router.unit.js test/dev-server.unit.js test/dev-validate.unit.js --serial --fail-fast --verbose",
    "test-integration-cli": "rimraf test/fixtures/integration && ava test/integration.js --serial --fail-fast --verbose",
    "test-integration-dev": "ava test/dev/integration.js --serial --fail-fast --verbose",
    "prepublishOnly": "yarn build",
    "coverage": "nyc report --reporter=text-lcov > coverage.lcov && codecov",
    "build": "ts-node ./scripts/build.ts",
    "build-dev": "ts-node ./scripts/build.ts --dev"
  },
  "nyc": {
    "include": [
      "src/**"
    ],
    "extension": [
      ".js",
      ".ts"
    ],
    "require": [
      "ts-node/register"
    ],
    "reporter": [
      "text",
      "html"
    ],
    "sourceMap": true,
    "instrument": true,
    "all": true
  },
  "bin": {
    "vc": "./dist/index.js",
    "vercel": "./dist/index.js"
  },
  "files": [
    "dist",
    "scripts/preinstall.js"
  ],
  "ava": {
    "compileEnhancements": false,
    "extensions": [
      "ts"
    ],
    "require": [
      "ts-node/register/transpile-only",
      "esm"
    ]
  },
  "engines": {
    "node": ">= 12"
  },
  "dependencies": {
    "@vercel/build-utils": "2.10.2-canary.5",
    "@vercel/go": "1.2.2",
    "@vercel/node": "1.9.2-canary.1",
    "@vercel/python": "2.0.1",
    "@vercel/ruby": "1.2.6",
    "update-notifier": "4.1.0"
  },
  "devDependencies": {
    "@sentry/node": "5.5.0",
    "@sindresorhus/slugify": "0.11.0",
    "@tootallnate/once": "1.1.2",
    "@types/ansi-escapes": "3.0.0",
    "@types/ansi-regex": "4.0.0",
    "@types/async-retry": "1.2.1",
    "@types/bytes": "3.0.0",
    "@types/debug": "0.0.31",
    "@types/dotenv": "6.1.1",
    "@types/escape-html": "0.0.20",
    "@types/fs-extra": "5.0.5",
    "@types/glob": "7.1.1",
    "@types/http-proxy": "1.16.2",
    "@types/load-json-file": "2.0.7",
    "@types/mime-types": "2.1.0",
    "@types/minimatch": "3.0.3",
    "@types/mri": "1.1.0",
    "@types/ms": "0.7.30",
    "@types/node": "11.11.0",
    "@types/node-fetch": "2.1.4",
    "@types/npm-package-arg": "6.1.0",
    "@types/pluralize": "0.0.29",
    "@types/progress": "2.0.3",
    "@types/psl": "1.1.0",
    "@types/semver": "6.0.1",
    "@types/tar-fs": "1.16.1",
    "@types/text-table": "0.2.0",
    "@types/universal-analytics": "0.4.2",
    "@types/which": "1.3.2",
    "@types/write-json-file": "2.2.1",
    "@vercel/frameworks": "0.3.2-canary.5",
    "@vercel/ncc": "0.24.0",
    "@zeit/fun": "0.11.2",
    "@zeit/source-map-support": "0.6.2",
    "ajv": "6.12.2",
    "alpha-sort": "2.0.1",
    "ansi-escapes": "3.0.0",
    "ansi-regex": "3.0.0",
    "arg": "5.0.0",
    "async-listen": "1.2.0",
    "async-retry": "1.1.3",
    "async-sema": "2.1.4",
    "ava": "2.2.0",
    "bytes": "3.0.0",
    "chalk": "4.1.0",
    "chokidar": "3.3.1",
    "clipboardy": "2.1.0",
    "codecov": "3.7.1",
    "cpy": "7.2.0",
    "credit-card": "3.0.1",
    "date-fns": "1.29.0",
    "debug": "3.1.0",
    "dot": "1.1.3",
    "dotenv": "4.0.0",
    "email-prompt": "0.3.2",
    "email-validator": "1.1.1",
    "epipebomb": "1.0.0",
    "escape-html": "1.0.3",
    "esm": "3.1.4",
    "execa": "3.2.0",
    "fast-deep-equal": "3.1.3",
    "fs-extra": "7.0.1",
    "get-port": "5.1.1",
    "glob": "7.1.2",
    "http-proxy": "1.18.1",
    "inquirer": "7.0.4",
    "is-port-reachable": "3.0.0",
    "is-url": "1.2.2",
    "jaro-winkler": "0.2.8",
    "jsonlines": "0.1.1",
    "load-json-file": "3.0.0",
    "mime-types": "2.1.24",
    "minimatch": "3.0.4",
    "mri": "1.1.5",
    "ms": "2.1.2",
    "node-fetch": "2.6.1",
    "npm-package-arg": "6.1.0",
    "nyc": "13.2.0",
    "open": "8.0.2",
    "ora": "3.4.0",
    "pcre-to-regexp": "1.0.0",
    "pluralize": "7.0.0",
    "progress": "2.0.3",
    "promisepipe": "3.0.0",
    "psl": "1.1.31",
    "qr-image": "3.2.0",
    "raw-body": "2.4.1",
    "rimraf": "3.0.2",
    "semver": "5.5.0",
    "serve-handler": "6.1.1",
    "sinon": "4.4.2",
    "strip-ansi": "5.2.0",
    "stripe": "5.1.0",
    "tar-fs": "1.16.3",
    "test-listen": "1.1.0",
    "text-table": "0.2.0",
    "title": "3.4.1",
    "tmp-promise": "1.0.3",
    "tree-kill": "1.2.2",
    "ts-node": "8.3.0",
    "typescript": "3.9.3",
    "universal-analytics": "0.4.20",
    "utility-types": "2.1.0",
    "which": "2.0.2",
    "write-json-file": "2.2.0",
    "xdg-app-paths": "5.1.0"
  }
}
